Version Comparisons for Cabinets Endpoints

Use this page to understand the differences between versions of Cabinets endpoints.

Some of our endpoints have multiple versions that you can use. These are typically denoted v1 or v2, but this notation does not mean that v2 is the best or most updated endpoint to use. In most cases, whether you use v1 or v2 will depend on your specific use case or personal preference.

Where the best endpoint to use is not simply a matter of personal preference, we have indicated the "recommended" endpoint.


Collaborators

Add a Collaborator to a Folder (record)

POST /api/v1/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/record/record-id/{recordId}/network
POST /api/v2/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/record/record-id/{recordId}/network

v1 v2 Recommended
Add Collaborators of "Account" or "Invitation" type Add Collaborators of "Account", "Invitation", or "Team" type v2 for adding "Team" Collaborators.

v1 or v2 for "Account" or "Invitation" Collaborators
expiryDate parameter required expiryDate parameter optional
Collaborator identity provided with contributor object (name, email, phone) Collaborator identity provided by OpenID, Invitation code, or Team ID



List all Drawers (sidedrawer) shared with you

GET /api/v1/networks/sidedrawer/shared
GET /api/v2/networks/sidedrawer/shared

v1 v2
View of all results, up to limit of 200 Paginated view
No filtering capability Ability to filter by Drawer name, Drawer type, Template, region, key



List all of your owned Drawers (sidedrawer)

GET /api/v1/networks/sidedrawer/owned
GET /api/v2/networks/sidedrawer/owned

v1 v2
View of all results, up to limit of 200 Paginated view
No filtering capability Ability to filter by Drawer name, Drawer type, Template, region, key



List all template Drawers (sidedrawer)

GET /api/v1/networks/sidedrawer/templates
GET /api/v2/networks/sidedrawer/templates

v1 v2
View of all results, up to limit of 200 Paginated view
No filtering capability Ability to filter by Drawer name, Drawer type, Template, region, key



Add a Collaborator to a Drawer (sidedrawer)

POST /api/v1/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/network
POST /api/v2/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/network

v1 v2 Recommended
Add Collaborators of "Account" or "Invitation" type Add Collaborators of "Account", "Invitation", or "Team" type v2 for adding "Team" Collaborators.

v1 or v2 for "Account" or "Invitation" Collaborators
expiryDate parameter required expiryDate parameter optional
Collaborator identity provided with contributor object (name, email, phone) Collaborator identity provided by OpenID, invitation code, or team ID



List Collaborators

GET /api/v1/networks/network
GET /api/v2/networks/network

v1 v2
View of all results, up to limit of 200 Paginated view



List a Hanger's (recordType) Collaborators

GET /api/v1/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/groups
GET /api/v2/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/groups

v1 v2
View of all results, up to limit of 200 Paginated view



Folders (Records)

List a Drawer's (sidedrawer) Folders (records)

GET /api/v1/records/sidedrawer/sidedrawer-id/{sidedrawerId}/records
GET /api/v2/records/sidedrawer/sidedrawer-id/{sidedrawerId}/records

v1 v2
View of all results, up to limit of 200 Paginated view



Files

Create a file

POST /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files
POST /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files

v1 v2
Can use Blocks for more efficient file uploading.
Can upload multiple files.



List a Folder's (record) files

GET /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files
GET /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files

v1 v2 Recommended
View of all results, up to limit of 200 Paginated view v2 for pagination or filtering capabilities
No filtering capability Ability to filter by correlation ID, file type, file name, upload title



Update a File

PUT /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileNameWithExtension}
PUT /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}

v1 v2
File is specified with the parameter fileNameWithExtension File is specified with the parameter fileToken



Download a file

GET /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/recordfile-name/{fileNameWithExtension}
GET /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}

v2 by File Name v2 by File Token
File is specified with the parameter fileNameWithExtension File is specified with the parameter fileToken



Seal a file

PUT /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileNameWithExtension}/seal
PUT /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}/seal

v1 v2
File is specified with the parameter fileNameWithExtension File is specified with the parameter fileToken



Send a file to quarantine

POST /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileNameWithExtension}/quarantine
POST /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}/quarantine

v1 v2
File is specified with the parameter fileNameWithExtension File is specified with the parameter fileToken



Retrieve a file's metadata

GET /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/recordfile-id/{recordFileId}
GET /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}/recordfile-details

v1 v2
File is specified with the recordFileId File is specified with the fileToken



Delete a file

DELETE /api/v1/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileNameWithExtension}
DELETE /api/v2/record-files/sidedrawer/sidedrawer-id/{sidedrawerId}/records/record-id/{recordId}/record-files/{fileToken}

v1 v2
Record file is specified with the parameter fileNameWithExtension Record file is specified with the parameter fileToken



Notifications

Retrieve a Drawer's (sidedrawer) timeline

GET /api/v1/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/timeline
GET /api/v2/networks/sidedrawer/sidedrawer-id/{sidedrawerId}/timeline

v1 v2
View of all results, up to limit of 200 Paginated view
Ability to filter by sender, locale, page number and to exclude notes Ability to filter by Folder (recordId), locale, time zone and read status



Accounts

Create an invitation

POST /api/v1/users/accounts/invitations
POST /api/v2/users/accounts/invitations

v1 v2
Creates an Invitation and sends an Invitation email. Creates an Invitation and sends an Invitation email, or finds an existing Account



Plan Requests

List a Drawer's (sidedrawer) available Plans

GET /api/v1/plan-requests/sidedrawer/sidedrawer-id/{sidedrawerId}/available-plans
GET /api/v2/plan-requests/sidedrawer/sidedrawer-id/{sidedrawerId}/available-plans

v1 v2
View of all results, up to limit of 200 Paginated view



Subscriptions

List available licenses

GET /api/v1/subscriptions/subscriptions/subscription-id/{subscriptionId}/licenses
GET /api/v2/subscriptions/subscriptions/subscription-id/{subscriptionId}/licenses

v1 v2
View of all results, up to limit of 200 Paginated view